package com.quansu.heifengwuliu.activity

import com.quansu.heifengwuliu.R
import com.quansu.heifengwuliu.base.MBActivity
import com.quansu.heifengwuliu.databinding.ActivityComVerifyBinding
import com.quansu.heifengwuliu.repository.ComVerifyRepository
import com.quansu.heifengwuliu.vmodel.ComVerityVModel
import com.ysnows.base.base.BRepository

class ComVerityActivity : MBActivity<ComVerityVModel, ActivityComVerifyBinding>() {


    override fun title(): String? {
        return getString(R.string.com_verify)
    }

    override fun binding(): ActivityComVerifyBinding {
        return ActivityComVerifyBinding.inflate(layoutInflater)
    }

    override fun vmClass(): Class<ComVerityVModel> {
        return ComVerityVModel::class.java
    }

    override fun createRepository(): BRepository {
        return ComVerifyRepository()
    }
}